﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication3
{
    class DesenhaQuadrado
    {
        /**
         * Método: quadradoDeAsteriscos
         * 
         * Descrição:
         *   Desenha um quadrado preenchido com o caracter '*'
         *   
         * Parâmetros:
         *   int lados
         *   
         * Retorno:
         *   void
         *   
         */
        static void quadradoDeAsteriscos(int lados)
        {
            // o primeiro laco controla as linhas
            for (int i = 0; i < lados; i++)
            {
                // o segundo laço controla as colunas
                for (int j = 0; j < lados; j++)
                {
                    // exibe o "*" sem mudar de linha
                    Console.Write("*");
                }               
                // Pula uma linha
                Console.WriteLine();
            }
        }

        static void Main(string[] args)
        {
            Console.Write("Entre com o tamanho: ");
            int lados = int.Parse(Console.ReadLine());
            // Chamada ao método
            quadradoDeAsteriscos(lados);            
        }
    }
}
