﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace ConsoleApplication1
{
    class DiscosSistema
    {
        static void Main(string[] args)
        {
            // conta o número total de discos
            int numeroTotalDeDiscos = 0;
            // Observe que o método Directory.GetLogicalDrives() retorna
            // um string[] contendo os nomes lógicos dos discos
            // encontrados no sistema operacional
            // Esse array de strings deve ser armazenado em uma 
            // variável
            // 
            string[] drives = Directory.GetLogicalDrives();
            // agora, é só percorrer o array e exibir os drivers encontrados
            for (int i = 0; i < drives.Length; i++)
            {
                Console.WriteLine("{0,3:D} - {1}", i,drives[i]);
                numeroTotalDeDiscos++;
            }
            // Observe que nem era necessário utilizar uma variável para contar
            // o número de discos, pois o próprio tamanho do array indica o
            // número de discos
            Console.WriteLine("Número total de discos: {0}", numeroTotalDeDiscos);

        }
    }
}
