﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication2
{
    class Complexo2
    {

        /*
         * Método: somaComplexa
         * 
         *   Calcula a soma de dois número complexos retornando
         *   nos parâmetros do método o resultado da soma, isto é,
         *   um novo número complexo que será formado por:
         *   x+yi
         * 
         * O 1º número complexo é representado por: a+bi
         * O 2º número complexo é representado por: c+di
         * 
         * Parâmetros:
         *   double a: parte real do 1º num complexo
         *   double b: parte imaginaria do 1º num complexo
         *   double c: parte real do 2º num complexo
         *   double d: parte imaginaria do 2º num complexo
         *   double real
         *   double imaginario
         *   
         * Retorna:
         *   void
         */
        static void somaComplexa(double a, double b, double c, double d, out double real, out double imaginario)
        {
            real = a + c; // soma a parte real
            imaginario = b + d; // soma a parte imaginária
        }

        // Método principal
        static void Main(string[] args)
        {
            // numeros complexos
            // a+bi
            // a soma de dois numeros complexos é dada pela soma das partes reais
            // e as partes imaginária
            // ex: a+bi + c+di = (a+c)+(b+d)i
            // escreva um método que dados dois números complexos, retorne a soma dos
            // dois números.
            // vocês deverão necessariamente criar um método que receba 4 números
            // double: a, b, c e d e retornar o valor da soma nas variáveis real 
            // e imaginario

            // define duas variáveis para conter a parte real
            // é imaginária de um número complexo
            double real;
            double imag;

            // representa o primeiro número complexo: a+bi
            double a = 0;
            double b = -8;
            
            // representa o segundo número complexo: c+di
            double c = 0;
            double d = 4;

            // Chama o método, passando dois número complexos (a+bi) e (c+di)
            // observe que estamos passando apenas os valores de a, b, c, d
            // os parâmetros real e imag são usados para retornar o resultado
            // da soma
            somaComplexa(a,b,c,d,out  real, out imag);

            Console.WriteLine("{0}+{1}i", real, imag);

        }
    }
}
